Bug 971072 - No progress displays on syncing RHEL ISO
No progress displays on syncing RHEL ISO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Garik Khachikyan
: Triaged
Depends On: 960609
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 11:28 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iso sync progress. (54.44 KB, image/png)
2013-10-15 08:59 EDT, Garik Khachikyan
no flags Details

  None (edit)
Description Garik Khachikyan 2013-06-05 11:28:13 EDT
Description of problem:
doing sync of Red Hat ISO brings UI be just 0% during the whole time of the progress of its synchronization.
I had to manually "track" the progress refreshing:
---
ls -la /var/log/pulp/content/iso/RHEL6.4-20130130.0-Server-x86_64-DVD1.iso/1eabfc4eb1bea0d1d6c6c2802c7d44c6e68078b678186669bd2bcb87ca2ebeb8/3720347648/RHEL6.4-20130130.0-Server-x86_64-DVD1.iso
---

Version-Release number of selected component (if applicable):
candlepin-0.8.9-1.el6_4.noarch
candlepin-cert-consumer-cfseserver6.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.9-1.el6_4.noarch
candlepin-tomcat6-0.8.9-1.el6_4.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.2-8.el6sat.noarch
katello-agent-1.4.2-4.el6sat.noarch
katello-all-1.4.2-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.2-6.el6sat.noarch
katello-cli-common-1.4.2-6.el6sat.noarch
katello-common-1.4.2-8.el6sat.noarch
katello-configure-1.4.3-12.el6sat.noarch
katello-configure-foreman-1.4.3-12.el6sat.noarch
katello-foreman-all-1.4.2-8.el6sat.noarch
katello-glue-candlepin-1.4.2-8.el6sat.noarch
katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.3-3.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-rpm-handlers-2.1.1-1.el6sat.noarch
pulp-rpm-plugins-2.1.1-1.el6sat.noarch
pulp-selinux-2.1.1-1.el6sat.noarch
pulp-server-2.1.1-1.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.1.1-1.el6sat.noarch
python-pulp-common-2.1.1-1.el6sat.noarch
python-pulp-rpm-common-2.1.1-1.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
python-rhsm-1.8.0-1.pulp.el6sat.x86_64
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.8-4.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.3-4.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6_4.noarch
ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch
signo-katello-0.0.15-1.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1.import a valid manifest, enable: "Red Hat Enterprise Linux 6 Server ISOs x86_64 6Server"
2.sync it.
3.

Actual results:
Passing ~40 mins and more - no progress displays, no size info - just nothing.

Expected results:
progress of sync to be shown similar to the way the RPMs sync does providing.

Additional info:
Comment 1 Mike McCune 2013-06-06 12:50:42 EDT
depends on this pulp bug:

https://bugzilla.redhat.com/show_bug.cgi?id=960609
Comment 2 Jay Dobies 2013-06-06 13:54:03 EDT
It doesn't depend on that bug. From that bug:

"The data to calculate the ETA (average speed, how many bytes are left) is already available in the sync progress report"

The Pulp bug is strictly about using that data in our client.
Comment 4 Eric Helms 2013-10-09 10:15:48 EDT
The format for ISO syncs is different than that for a yum importer. Thus, we needed to update our progress generation logic to account for this. The fix is being tracked here - https://github.com/Katello/katello/pull/3143
Comment 7 Garik Khachikyan 2013-10-15 08:59:48 EDT
Created attachment 812505 [details]
iso sync progress.
Comment 8 Garik Khachikyan 2013-10-15 09:00:48 EDT
# VERIFIED

fixed now. there is displayed the sync progress going on.

system checked under:
===
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-hades.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-31.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-31.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-20.el6sat.noarch
katello-cli-common-1.4.3-20.el6sat.noarch
katello-common-1.4.6-31.el6sat.noarch
katello-configure-1.4.7-3.el6sat.noarch
katello-configure-foreman-1.4.7-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-3.el6sat.noarch
katello-foreman-all-1.4.6-31.el6sat.noarch
katello-glue-candlepin-1.4.6-31.el6sat.noarch
katello-glue-elasticsearch-1.4.6-31.el6sat.noarch
katello-glue-pulp-1.4.6-31.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.17.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.17.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.17.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.17.beta.el6sat.noarch
pulp-selinux-2.3.0-0.17.beta.el6sat.noarch
pulp-server-2.3.0-0.17.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.17.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.17.beta.el6sat.noarch
python-pulp-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.17.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.17.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.14-5.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch
Comment 9 Bryan Kearney 2014-04-24 13:07:16 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.